Package groovy.swing.impl

# Class ClosureRenderer

java.lang.Object
groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  `javax.swing.ListCellRenderer`, `javax.swing.table.TableCellRenderer`, `javax.swing.tree.TreeCellRenderer`

    public class ClosureRenderer
    extends java.lang.Object
    implements javax.swing.ListCellRenderer, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellRenderer

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClosureRenderer()` |
  `ClosureRenderer​(Closure c)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List` | `getChildren()` |
  `int` | `getColumn()` |
  `javax.swing.JList` | `getList()` |
  `java.awt.Component` | `getListCellRendererComponent​(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)` |
  `int` | `getRow()` |
  `javax.swing.JTable` | `getTable()` |
  `java.awt.Component` | `getTableCellRendererComponent​(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` |
  `javax.swing.JTree` | `getTree()` |
  `java.awt.Component` | `getTreeCellRendererComponent​(javax.swing.JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)` |
  `Closure` | `getUpdate()` |
  `java.lang.Object` | `getValue()` |
  `boolean` | `isDefaultRenderer()` |
  `boolean` | `isExpanded()` |
  `boolean` | `isFocused()` |
  `boolean` | `isLeaf()` |
  `boolean` | `isSelected()` |
  `boolean` | `isTableHeader()` |
  `void` | `setTableHeader​(boolean tableHeader)` |
  `void` | `setUpdate​(Closure update)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureRenderer

    public ClosureRenderer()

  - ### ClosureRenderer

    public ClosureRenderer​(Closure c)

- ## Method Details

  - ### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent​(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)
    Specified by:
      `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`

  - ### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent​(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)
    Specified by:
      `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`

  - ### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent​(javax.swing.JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)
    Specified by:
      `getTreeCellRendererComponent` in interface `javax.swing.tree.TreeCellRenderer`

  - ### getUpdate

    public Closure getUpdate()

  - ### setUpdate

    public void setUpdate​(Closure update)

  - ### setTableHeader

    public void setTableHeader​(boolean tableHeader)

  - ### isTableHeader

    public boolean isTableHeader()

  - ### getChildren

    public java.util.List getChildren()

  - ### getList

    public javax.swing.JList getList()

  - ### getTable

    public javax.swing.JTable getTable()

  - ### getValue

    public java.lang.Object getValue()

  - ### isSelected

    public boolean isSelected()

  - ### isFocused

    public boolean isFocused()

  - ### getRow

    public int getRow()

  - ### getColumn

    public int getColumn()

  - ### getTree

    public javax.swing.JTree getTree()

  - ### isLeaf

    public boolean isLeaf()

  - ### isExpanded

    public boolean isExpanded()

  - ### isDefaultRenderer

    public boolean isDefaultRenderer()